> For the complete documentation index, see [llms.txt](https://docs.bisnode.ee/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bisnode.ee/real-estate/getimmovables.md).

# getImmovables

## getImmovables

<mark style="color:green;">`POST`</mark> `https://in.bisnode.ee/rest/getImmovables`

**Needed Headers:** Content-type: application/json\
\
This endpoint allows you to get real estate information of a **company** or a **person** such as:\
`* Type`\
`* Cadastral code`\
`* Address`\
`* Area in m2`\
`* Registry code`\
`* Purpose`\
\
Example Curl request:\
`curl -X POST -k -H 'Content-type: application/json' -i 'https://in.bisnode.ee/rest/getImmovables' --data '{`\
&#x20;   `"token": "0c725874e737c8195de547f67692d8b976726561",`\
&#x20;   `"code": "10117826",`\
&#x20;   `"language": "en"`\
`}'`

#### Query Parameters

| Name     | Type   | Description                                                         |
| -------- | ------ | ------------------------------------------------------------------- |
| language | string | 2-letter language code. Must be "en", "et" or "ru. Default is "en". |
| token    | string | Your 'access token' (API key).                                      |
| code     | string | Company registration number or Personal ID code.                    |

{% tabs %}
{% tab title="200 " %}

```javascript
    {
        "immovable_no": "111701",
        "type": "Kinnisasi",
        "cadastral_code": "11111:111:11111",
        "address": "ABC tn 1, Haabersti linnaosa, Tallinn, Harju maakond",
        "area": "1111,0 m2",
        "apt_no": "*",
        "registry_code_of_apartment_association": "",
        "purpose": "\u00c4rimaa 100%"
    }
```

{% endtab %}

{% tab title="400 Missing code" %}

```javascript
{
    "error": "error",
    "code": 400,
    "message": "Code is missing"
}
```

{% endtab %}

{% tab title="401 Invalid token" %}

```javascript
{
    "error": "error",
    "code": 401,
    "message": "Token is wrong"
}
```

{% endtab %}

{% tab title="402 Not enough credit" %}

```javascript
{
    "error": "error",
    "code": 402,
    "message": "Monthly requests limit exceeded"
}
```

{% endtab %}

{% tab title="403 " %}

```javascript
{
    "error": "error",
    "code": 403,
    "message": "This request is not allowed for you"
}
```

{% endtab %}

{% tab title="409 " %}

```javascript
{
    "error": "error",
    "code": 409,
    "message": "Something went wrong"
}
```

{% endtab %}

{% tab title="422 Validation failed" %}

```javascript
{
    "error": "error",
    "code": 422,
    "message": "Schema validation error"
}
```

{% endtab %}

{% tab title="423 " %}

```javascript
{
    "error": "error",
    "code": 423,
    "message": "Locked. Wait for previous request to complete"
}
```

{% endtab %}

{% tab title="500 " %}

```javascript
{
    "error": "error",
    "code": 500,
    "message": "Internal Server Error"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bisnode.ee/real-estate/getimmovables.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
